Name:		libsvcudp-create-bindport
Version:	1
Release:	1%{?dist}
Summary:	Library to LD_PRELOAD to fix a port when creating UDP RPC services.

License:	Public Domain
Source0:	svcudp_create_bindport.c

BuildRequires:	gcc libtirpc-devel

%description

libsvcudp-create-bindport is a LD_PRELOADable library to fix the UDP
port for RPC services.  It can be used with:
  env LIBSVCUDP_CREATE_BINDPORT=<port> \
      LD_PRELOAD=libsvcudp_create_bindport.so \
    <binary> [<arg...>]

Where <port> is a number between 1 and 65535 inclusively.

%prep
%setup -q -T -c %{name}-%{version}
cp %{SOURCE0} .

%build
gcc %{__global_cflags} -Wall -Werror -fPIC -shared \
  -o libsvcudp_create_bindport.so \
  -I/usr/include/tirpc svcudp_create_bindport.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 755 libsvcudp_create_bindport.so $RPM_BUILD_ROOT%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/*.so

%changelog
* Wed May  5 2021 Philippe Troin <phil@fifi.org> - 1-1
- Created.
